* {
    font-family: 'Raleway', sans-serif;
}

body {
    margin: 0;
}

header, main, #footer-contener {
    margin: 0px;
    max-width: 1440px ;
    margin-left: auto;
    margin-right: auto;
}

a {
    text-decoration: none;
    color: black;
}

.text-bold {
    font-weight: bold;
}

/* HEADER */

header {
    display: flex;
    justify-content: space-between;
    padding: 0px 10px;
    align-items: center;
}

.menu {
    display: flex;
    align-items: baseline;
}

.nav, ul {
    display: flex;
    margin: 0px;
}

header li {
    list-style-type: none;
}

header a {
    display: block;
    padding: 40px 30px;
    border-top: solid 5px #fff;
}

header a:hover {
    border-top: solid 5px #0065fc;
    color: #0065fc; 
}

#signup {
    border: none;
    background:none;
    color: #0065fc;
    font-size: 1rem;
    font-weight: 600;
    padding-left: 15px;
}

button:hover {
    cursor: pointer;
}

/* MAIN */

/* SECTION 1 */

h1 {
   margin: 15px 0 0px 0; 
}

#found-heb p {
    margin: 15px 0 20px 0;
}

#search-bar {
    display: inline-block;
    border: solid 1px #f2f2f2;
    border-radius: 50px;
    display: flex;
    max-width: 360px;
    justify-content: space-between;
}

.first-i {
    display: block;
    background-color: #f2f2f2;
    padding: 15px;
    border-radius: 15px 0px 0px 15px;
}

#search-bar input {
    font-size: 1rem;
    font-weight: 600;
    padding: 10px;
    border: none;
}

#search-bar button {
    font-size: 1rem;
    font-weight: 600;
    border: none;
    padding: 15px;
    background-color: #0065fc;
    color: white;
    border-radius: 0px 15px 15px 0px;
}

.search-icon {
    display: none;
}

#filtres {
    display: flex;
    margin: 20px 0px;
    align-items: baseline;
}

#filtres p {
    padding: 0px 10px;
    font-weight: 600;
}

#filtres-contener {
    display: flex;
    margin-left: 10px;
    justify-content: flex-start;
    flex-wrap: wrap;

}

.filtres-cat {
    display: flex;
    margin: 5px 10px;
    align-items: baseline;
    border: solid 1px #f2f2f2;
    border-radius: 50px;
}

.filtres-cat i {
    background-color: #deebff;
    color: #0065fc;
    border: solid 1px #deebff;
    border-radius: 50px;
    height: 40px;
    width: 40px;
    display: inline-block;
    display: flex;
    justify-content: center;
    align-items: center;
}

.filtres-cat button {
    border: none;
    background: none;
    font-size: 1rem;
    padding: 10px;
    font-weight: 600;
}

.filtres-cat button:hover {
    color: #0065fc;
}

#info {
    display: flex;
    align-items: baseline;
}

#info i {
    display: inline-block;
    width: 25px;
    height: 25px;
    color: #0065fc;
    font-size: 0.8rem;
    border: solid 1px #deebff;
    border-radius: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0 35px 0;
}

#info p {
    margin-left: 10px;
}

/* SECTION ACCOMMODATION */

#heb-general {
    display: flex;
    flex-direction: row;
    margin-bottom: 65px;
}

#heb-contener {
    /* display: flex;
    flex-direction: column; */
    background-color: #f2f2f2;
    border-radius: 25px;
    margin: 0px 40px 0px 0px;
    padding: 40px;
}

#heb-contener h2 {
    display: inline-block;
}


#heb-list {
    display: flex;
    flex-wrap: wrap;
    flex-grow: 2;
    max-width: 880px;
    justify-content: space-between;
    align-content: space-around;
    margin-bottom: 30px;
    gap: 30px;
    padding-bottom: 20px;
}

.heb {
    display: flex;
    flex-direction: column;
    border: solid 5px white;
    border-radius: 25px;
    background-color: white;
    box-shadow: 0px 0px 5px gray;
    overflow: hidden;
}

.heb img{
    width: 240px;
    height: 150px;
    object-fit: cover;
 }
 
 .heb h3, p, .note {
    margin: 5px 10px;
}

.active {
    color: #0065fc;
}

.inactive {
    color: #f2f2f2;
}

#more {
    font-size: 1.25rem;
}

#popular-contener {
    background-color: #f2f2f2;
    border-radius: 25px;
    padding: 40px;
    max-width: 420px;
}

#popular-title {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
}

#popular-title i {
    font-size: 1.3rem;
}

.popular {
    display: flex;
    /* margin: 15px 0; */
    border: solid 5px #fff;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0px 0px 5px gray;
    background-color: #fff;
    min-width: 300px;
}

#popular-list {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-content: space-between;
    gap: 30px;
}

.popular img {
    flex-shrink: 0;
    object-fit: cover;
    object-position: center;
}

.popular-desc {
    display: flex;
    flex-direction: column;
    padding: 0 0 0 14px;
    position: relative;
}

.popular-desc * {
    margin: 0;
}

.popular-desc h3 {
    margin: 14px 0 14px 0;
}

.popular-desc .note {
    position: absolute;
    bottom: 0px;
}

/* SECTION ACTIVITES */

#activites-general {
    margin-bottom: 60px;
}

#activites-general h2 {
    margin-bottom: 30px;
}

#activites-contener {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-content: space-between;
    flex-wrap: wrap;
    height: 455px;
}

.activite {
    background-color: white;
    box-shadow: 0px 0px 5px gray;
    border-radius: 25px;
    max-width: 300px;
    overflow: hidden;
}

.activite h3 {
    margin: 20px 20px;
    position: relative;
    bottom: 2px;
}

.activite img {
    object-fit: cover;
}

/* FOOTER */

footer {
    background-color: #f2f2f2;
    max-width: 100%;
}

#footer-contener {
    display: flex;
    padding: 50px 0;   
}

#footer-contener div {
    display: flex;
    flex-direction: column;
    margin-right: 230px;
}

#footer-contener a {
    margin: 10px 0;
}

/* Laptop L */
@media only screen and (max-width: 1440px) {
    main {
        width: 95%;
        margin: 0 auto;
    }

    #footer-contener {
        justify-content: space-around;
    }

    #footer-contener div {
        margin: 0 0;
    }
}

/* Laptop */
@media only screen and (max-width: 1024px) {
    #activites-contener {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
        gap: 15px;
        height: 100%;
    }

    #activites-contener img {
        width: 300px;
        height: 140px;
    }
}

/* Tablet */
@media only screen and (max-width: 768px) {
    #heb-general {
        flex-direction: column-reverse;
        align-items: center;
    }

    #heb-contener {
        margin: 0 0;
    }

    #heb-list {
        margin: 0;
        justify-content: center;
    }

    #activites-contener {
        justify-content: center;
    }

    #footer-contener {
        flex-direction: column;
        align-items: center; 
        text-align: center;
    }
}
/* Mobile L */
@media only screen and (max-width: 425px) {
    header {
        display: block;
    }

    header img {
        margin-right: 0;
        position: absolute;
    }

    header div {
        position: relative;
        top: 18px;
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-end;
    }

    header ul {
        padding: 0;
    }

    nav {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    #signup {
        order: -1;
    }

    header a {
        padding: 20px;
        margin-bottom:15px ;
        border-top: none;
        border-bottom: solid 5px #fff;
    }
    
    header a:hover {
        border-top: none;
        border-bottom: solid 5px #0065fc;
    }

    #popular-contener {
        padding: 5px;
        border-radius: 0;
    }

    #heb-contener {
        background-color: transparent;
    }

    .heb img {
        width: 300px;
        height: 110px;
    }
    
    .search-text {
        display: none;
    }
    
    .search-icon {
        display: block;
     }
}

